Subject: Re: [PATCH v2 net-next/devicetree 0/5] DT bindings for Felix DSA switch on LS1028A

From: Shawn Guo <[email-masked]>
Date: Mon, 24 Feb 2020 14:31:55 +0800

On Wed, Feb 19, 2020 at 05:12:54PM +0200, Vladimir Oltean wrote:
> From: Vladimir Oltean <[email-masked]>
> 
> This series officializes the device tree bindings for the embedded
> Ethernet switch on NXP LS1028A (and for the reference design board).
> The driver has been in the tree since v5.4-rc6.
> 
> As per feedback received in v1, I've changed the DT bindings for the
> internal ports from "gmii" to "internal". So I would like the entire
> series to be merged through a single tree, be it net-next or devicetree.

Will applying the patches via different trees as normal cause any
issue like build breakage or regression on either tree?  Otherwise, I do
not see the series needs to go in through a single tree.

Shawn

> If this happens, I would like the other maintainer to acknowledge this
> fact and the patches themselves. Thanks.
> 
> Claudiu Manoil (2):
>   arm64: dts: fsl: ls1028a: add node for Felix switch
>   arm64: dts: fsl: ls1028a: enable switch PHYs on RDB
> 
> Vladimir Oltean (3):
>   arm64: dts: fsl: ls1028a: delete extraneous #interrupt-cells for ENETC
>     RCIE
>   net: dsa: felix: Use PHY_INTERFACE_MODE_INTERNAL instead of GMII
>   dt-bindings: net: dsa: ocelot: document the vsc9959 core
> 
>  .../devicetree/bindings/net/dsa/ocelot.txt    | 96 +++++++++++++++++++
>  .../boot/dts/freescale/fsl-ls1028a-rdb.dts    | 51 ++++++++++
>  .../arm64/boot/dts/freescale/fsl-ls1028a.dtsi | 85 +++++++++++++++-
>  drivers/net/dsa/ocelot/felix.c                |  3 +-
>  drivers/net/dsa/ocelot/felix_vsc9959.c        |  3 +-
>  5 files changed, 232 insertions(+), 6 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/net/dsa/ocelot.txt
> 
> -- 
> 2.17.1
>